Update monthly cash flow profile
curl --request PUT \
--url https://int-api.mx.com/users/{user_guid}/monthly_cash_flow_profile \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"institution": {
"goals_contribution": 150.01,
"uses_estimated_goals_contribution": false
}
}
'import requests
url = "https://int-api.mx.com/users/{user_guid}/monthly_cash_flow_profile"
payload = { "institution": {
"goals_contribution": 150.01,
"uses_estimated_goals_contribution": False
} }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
institution: {goals_contribution: 150.01, uses_estimated_goals_contribution: false}
})
};
fetch('https://int-api.mx.com/users/{user_guid}/monthly_cash_flow_profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"monthly_cash_flow_profile": {
"guid": "MCF-4e431124-4a29-abf9-f059-ab232ac14dbf",
"user_guid": "USR-6c83f63c-efcc-0189-3f14-100f0bad378a",
"budgeted_income": 1200.12,
"budgeted_expenses": 1000,
"goals_contribution": 150,
"estimated_goals_contribution": null,
"uses_estimated_goals_contribution": false
}
}Monthly Cash Flow Profile
Update monthly cash flow profile
PUT
/
users
/
{user_guid}
/
monthly_cash_flow_profile
Update monthly cash flow profile
Use this endpoint to update the attributes of a
monthly_cash_flow_profile.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier for a user, beginning with the prefix USR-.
Body
application/json
Response
200 - application/json
OK
Hide child attributes
Hide child attributes
Unique identifier for the monthly cash flow profile. Defined by MX.
Example:
"MCF-4e431124-4a29-abf9-f059-ab232ac14dbf"
Unique identifier for the user the monthly cash flow profile is attached to. Defined by MX.
Example:
"USR-6c83f63c-efcc-0189-3f14-100f0bad378a"
The amount of the budgeted income for the user.
Example:
1200.12
The amount of the budgeted expenses for the user.
Example:
1000
The monthly dollar amount allocated for goals.
Example:
150
The estimated monthly dollar amount allocated for goals calculated from income and budgets.
Example:
null
Example:
false
⌘I

